#!/bin/bash
#common mount options for filesystems
COMM_OPTIONS=nodev,noexec

if [ $# -ne 2 ]; then
    echo "parameter wrong"
    exit 1;
fi

if [ ! -e "/media/ctx" ]; then
    mkdir -p /media/ctx/
fi

if [ ! -e "/media/ctx" ]; then
    echo "/media/ctx not exist"
    exit 2
fi

if [ ! -e "/media/ctx/$2" ]; then
    mkdir /media/ctx/$2
    #chown $1:$1 /media/ctx/$1
    #chmod 0600 /media/ctx/$1
fi

if [ ! -e "/media/ctx/$2" ]; then
    echo "/media/ctx/$2 not exist"
    exit 3
fi

if [ "$ID_FS_TYPE" = "vfat" ]; then
    MOUNT_OPTIONS=$COMM_OPTIONS,uid=$1,gid=$1,umask=0077,iocharset=utf8,flush
elif [ "$ID_FS_TYPE" = "ntfs" ]; then
    MOUNT_OPTIONS=$COMM_OPTIONS,uid=$1,gid=$1,umask=0077,utf8
#for other unknown filesystem, use default options
else
    MOUNT_OPTIONS=$COMM_OPTIONS,uid=$1,gid=$1,umask=0077
fi

#/bin/mount -o uid=$1,gid=$1,fmask=0077,dmask=0077 /dev/$2 /media/ctx/$2
#/bin/mount -o uid=$1,gid=$1,umask=0077 /dev/$2 /media/ctx/$2
/bin/mount -o "$MOUNT_OPTIONS" /dev/$2 /media/ctx/$2
exit 0
