#!/bin/bash

###############################################################################
#
# Citrix Virtual Apps & Desktops For Linux Script: Detect the Linux distribution and version
#
# SOURCE: http://www.novell.com/coolsolutions/feaure/11251.html

export LC_ALL="en_US.UTF-8"

OS=`uname -s`
REV=`uname -r`
MACH=`uname -m`

function usage {
    echo "Usage: $(basename $0) [-d|r|-help]"
    echo " -d display distribution string"
    echo " -r display release version and revision string"
    echo " --help display this help"
}

if [ "$#" -gt 0 -a "$1" == "--help" ] ; then
    usage
    exit 0
fi

if [ "${OS}" = "Linux" ] ; then
    KERNEL=`uname -r`
        DIST="ALT"
        PSUEDONAME="Trientalis"
        REV="p9"
fi

if [ "$#" -gt 0 -a "$1" == "-d" ] ; then
    echo "${DIST}"
    exit 0
elif [ "$#" -gt 0 -a "$1" == "-r" ] ; then
    echo "${VERSION}.${REV}"
    exit 0
else
    echo "${DIST} version: ${VERSION}.${REV}"
    exit 0
fi 
